Gecode::ArrayTraits< ArgArray< SEB > > Class Reference

Traits of SEBs. More...

`#include <traits.hpp>`

## Public Types

typedef SEBs | StorageType
typedef SEB | ValueType
typedef SEBs | ArgsType

## Detailed Description

Traits of SEBs.

Definition at line 41 of file traits.hpp.

## Member Typedef Documentation

## StorageType

typedef SEBs Gecode::ArrayTraits< ArgArray< SEB > >::StorageType

Definition at line 43 of file traits.hpp.

## ValueType

typedef SEB Gecode::ArrayTraits< ArgArray< SEB > >::ValueType

Definition at line 44 of file traits.hpp.

## ArgsType

typedef SEBs Gecode::ArrayTraits< ArgArray< SEB > >::ArgsType

Definition at line 45 of file traits.hpp.

The documentation for this class was generated from the following file:

- gecode/search/traits.hpp